# This file contains configuration parameters 
# for the QueryService to be loaded

# This is the service id number. This should not be here as 
# a configuration parameter. Instead the services IDs should 
# be generated and assign in a non-conflicting manner. Until
# such manner exist, I will use this as the service
# ID. The ID must be manually changed for each of the services.
qs.id=9

# Port
qs.port=9090

# Implementation
# Values are: axis1.3
#qs.impl=axis1.3

# Query Service Scheme. Values are 
# nt=NetTraveler; nont=No NetTraveler
# Default is NetTraveler
qs.scheme=nont

# Maximum number of concurrent queries.
# Default value is 10
#qs.query=20

# Allocation factor
# Used to calculate the number of 
# threads to use.
# Default value is 1.5
#qs.allocation=1.3

# Maximum tuples to be fetched per iteration
# Default value is 10
#qs.result=10

# Maximum time (in milliseconds) 
# that a query 
# not own by the service 
# can be idle
# before being removed.
# Default value is 300000 (5 minutes)
qs.idle=60000
#qs.idle=300000
#qs.idle=600000
#qs.idle=259200000
# Time (in milliseconds)
# that the inner thread will 
# sleep before iterating over queries
# Default value is 60000 (1 minute)
qs.thread=70000
#qs.thread=300000
#qs.thread=259200000

# Number of times a query will be
# tried to be re-routed before
# being discarded. Default value
# is 5
# qs.reroute=5

# Experiments stuff
# Gather stats. true or false
#qs.stats=false
